Ubuntu18.04可以通过安装低版本gcc、g++、gfortran来安装gamit10.7

2019-1-11 20:20:17 来源: GNSSer 发布人:
1.1 gcc g++ gfortran多版本切换(安装gamit需要低版本,优先5.0版本) 1.1.1安装gcc g++ gfortran多版本 sudo apt-get install gcc-5 gcc-5-multilib g++-5 g++-5-multilib gfortran-5 gfortran-5-multilib sudo apt-get install gcc-6 gcc-6-multilib g++-6 g++-6-multilib gfortran-6 gfortran-6-multilib sudo apt-get install gcc-7 gcc-7-multilib g++-7 g++-7-multilib gfortran-7 gfortran-7-multilib 1.1.2 设置gcc g++ gfortran优先级 sudo update-alternatives --install /usr/bin/gcc gcc /usr/bin/gcc-5 70 sudo update-alternatives --install /usr/bin/gcc gcc /usr/bin/gcc-6 60 sudo update-alternatives --install /usr/bin/gcc gcc /usr/bin/gcc-7 50 sudo update-alternatives --install /usr/bin/g++ g++ /usr/bin/g++-5 70 sudo update-alternatives --install /usr/bin/g++ g++ /usr/bin/g++-6 60 sudo update-alternatives --install /usr/bin/g++ g++ /usr/bin/g++-7 50 sudo update-alternatives --install /usr/bin/gfortran gfortran /usr/bin/gfortran-5 70 sudo update-alternatives --install /usr/bin/gfortran gfortran /usr/bin/gfortran-6 60 sudo update-alternatives --install /usr/bin/gfortran gfortran /usr/bin/gfortran-7 50 1.1.3 选择gcc和g++ gfortran版本 sudo update-alternatives --config gcc sudo update-alternatives --config g++ sudo update-alternatives --config gfortran
阅读次数: 246

下一篇: 评论
上一篇: kyc, 2018.12 开发月报

尚无评论!

返回上一页面